WARNING: Do not use Ruby 1.8.6 releases p230 through p238 in production! 
There are bugs in the Ruby interpreter that cause it to leak memory. 
Please use a Ruby release that's based on a patched version of the p111 
or p114 code until this is resolved.

I've put together code which demonstrates this at: 
http://pastie.org/226715

-igal

RedMine ticket: http://redmine.ruby-lang.org/issues/show/216
ruby-core thread: http://www.ruby-forum.com/topic/158334#new
-- 
Posted via http://www.ruby-forum.com/.